<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <variable
            name="viewmodel"
            type="it.integry.integrywmsnative.view.dialogs.ask_cliente.viewmodel.DialogAskCliente_Page2ViewModel" />
    </data>

    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:layout_margin="16dp">


        <TextView
            android:id="@+id/title_text"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            style="@style/TextViewMaterial.DialogTitle"
            android:text="@string/recipient"
            android:gravity="center_horizontal"/>

        <TextView
            android:id="@+id/description_text"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            style="@style/TextViewMaterial"
            android:text="@string/select_a_recipient_message"
            android:gravity="left"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="8dp" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/input_destinatario"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/recipient">

                <androidx.appcompat.widget.AppCompatAutoCompleteTextView
                    android:id="@+id/dropdown_destinatario"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:singleLine="true"
                    android:ellipsize="end"/>

            </com.google.android.material.textfield.TextInputLayout>
        </RelativeLayout>




        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="8dp">

            <androidx.constraintlayout.widget.Guideline
                android:id="@+id/center_buttons_guideline"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintGuide_percent="0.5"/>


            <com.google.android.material.button.MaterialButton
                android:id="@+id/button_no"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                style="@style/Button.PrimaryOutline"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                app:strokeColor="@color/colorPrimary"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toStartOf="@id/center_buttons_guideline"
                android:text="@string/abort"/>


            <com.google.android.material.button.MaterialButton
                android:id="@+id/button_yes"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                style="@style/Button.PrimaryFull"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintStart_toStartOf="@id/center_buttons_guideline"
                app:layout_constraintEnd_toEndOf="parent"
                android:text="@string/confirm"/>


        </androidx.constraintlayout.widget.ConstraintLayout>

    </LinearLayout>

</layout>